# Ropt

[![Latest Release][crates-io-badge]][crates-io-url]
[![Documentation][docs-rs-img]][docs-rs-url]

A simple, zero-dependency command line argument parser for Rust.

This crate is intended for the common use case of simple utility-like
command line argument parsing.  It is explicitly *not* intended to
handle complex command line interfaces (e.g. sub-commands,
sophisticated argument interdependencies, etc.).  It's just a small,
simple crate for basic argument and flag parsing, and that's it.

If you need an everything-and-the-kitchen-sink argument parser, consider
[clap](https://crates.io/crates/clap).


## License

This project is licensed under either of

 * Apache License, Version 2.0, ([LICENSE-APACHE](LICENSE-APACHE) or
   http://www.apache.org/licenses/LICENSE-2.0)
 * MIT license ([LICENSE-MIT](LICENSE-MIT) or
   http://opensource.org/licenses/MIT)

at your option.


## Contributing

Unless you explicitly state otherwise, any contribution intentionally
submitted for inclusion in this project by you will be licensed as above,
without any additional terms or conditions.

This crate has zero dependencies, and aims to remain that way.  Please
adhere to this in any submitted contributions.

[crates-io-badge]: https://img.shields.io/crates/v/ropt.svg
[crates-io-url]: https://crates.io/crates/ropt
[docs-rs-img]: https://docs.rs/ropt/badge.svg
[docs-rs-url]: https://docs.rs/ropt
